#include "mainwindow.h"

#include <QApplication>

#include "centralwidget.h"
#include "serialport/serialport.h"
#include "ui/realtimedataform.h"
#include "experimentsettingform.h"

int main(int argc, char *argv[])
{
    QApplication::setAttribute(Qt::AA_EnableHighDpiScaling); // 启用高DPI缩放
    QApplication a(argc, argv);

    MainWindow w;
//    w.show();

    ExperimentSettingForm es;
    es.show();

//    CentralWidget central;
//    central.show();

//    SerialPort::parserTest();

//    SerialPort sp;

//    RealTimeDataForm r;
//    r.show();

//    QObject::connect(&sp,&SerialPort::sigSendSerialPortData,
//                     &r,&RealTimeDataForm::slotRevSerialPortData);

    return a.exec();
}
